Release EDDI - Windows app for immersion and more

Status
Thread Closed: Not open for further replies.
Quick Question.

Is there a way to have EDDI correct some of the pronunciations in the game on the fly?

I've tried both the CereProc voices, and the Loquendo voices and they struggle with "Thargoid" :) - would be great if we could have some kind of enhancement to auto-correct pronunciation of certain words
 
Quick Question.

Is there a way to have EDDI correct some of the pronunciations in the game on the fly?

I've tried both the CereProc voices, and the Loquendo voices and they struggle with "Thargoid" :) - would be great if we could have some kind of enhancement to auto-correct pronunciation of certain words
Yes I do have a ticket open to add support for the industry standard lexicon format (known as PLS) for this. There are quite a few mispronounced astronomical names as well, which is not surprising as they are a random mix of Latin, Ancient Greek and Arabic.

A side benefit is that technically inclined users would be able to add their own lexicon files and maybe contribute them to the main project.

However all this has had to take a back seat while we devoted all our efforts to getting up to speed on the code base and updating it for the rather substantial changes that ED 2.4 brought! :cool:

Edit: in the meantime you can try the P() function in Cottle. However I'm not a huge fan of that approach as it requires us to hardwire the substitutions at the C# level, which is a definite code smell.
 
Last edited:
Yes I do have a ticket open to add support for the industry standard lexicon format (known as PLS) for this. There are quite a few mispronounced astronomical names as well, which is not surprising as they are a random mix of Latin, Ancient Greek and Arabic.

A side benefit is that technically inclined users would be able to add their own lexicon files and maybe contribute them to the main project.

However all this has had to take a back seat while we devoted all our efforts to getting up to speed on the code base and updating it for the rather substantial changes that ED 2.4 brought! :cool:

Edit: in the meantime you can try the P() function in Cottle. However I'm not a huge fan of that approach as it requires us to hardwire the substitutions at the C# level, which is a definite code smell.
Cool .. thanks for the reply.. side note - I just tried the HCS voicepack and it was great and all.. but I just went back to EDDI because of how dynamic it is with the information it gives me .. I guess I could use both, but I like to fly with just the single AI co-pilot .. I'm using CereProc Caitlin --- she can pronounce Aisling properly !! :)
 
Crazy question...
I've found the scripting documentation for my Thrustmaster controller. I was wondering if there's any way I can use EDDI + VA in some combination with/out the T.A.R.G.E.T scripting software. I'm not well versed in code and currently learning from everyone's examples, thanks for submitting btw! I supplied the source material so that maybe the better adept person can fiddle through the code and may create their own scripts for Thrustmaster controllers if possible. The syntax looks very similar.
Source - T.A.R.G.E.T. Script Editor
http://ts.thrustmaster.com/download/accessories/pc/hotas/software/target/target_script_editor_basics_v1.5_eng.pdf

Application: I would like to set up a script that'll warn me when my controller throttle is greater than the resting coords for takeoffs and completed jumps.
Take off example: Hey retard! Throttle is hot!
Jump complete example: Warning! Throttle is hot!
Not directly related to EDDI, but check here https://forums.frontier.co.uk/showthread.php/293027-Aussiedroid-s-Enhanced-Thrustmaster-Warthog-Script for lots of information creating / edititing T.A.R.G.E.T. scripts with Elite Dangerous.
 
I'm using CereProc Caitlin --- she can pronounce Aisling properly !! :)
I should hope so as she's Irish!

jgm did attempt to provide substitutions for words like "Aisling" and "Merope" but it is only partially successful and does require the text in question to be processed via the P() function in Cottle. I'm hoping that supporting the official lexicon format will be more effective.
 
Unable to get EDDI logged in since the Elite update.

I'm unable to log into EDDI since the last big update for Elite.
VerticalBlank tried to help yesterday, but that didn't work.....just got the "not responding" few seconds until it was unable to log in again.

As of now, I have the latest version of both Elite (2.4.03) and EDDI (v2.4.2)
installed.

Everything was fine until the update hit as I have not changed anything.

Please let me know if you need any other info.......I'm not the best at stuff like code, but I've been building computers for over 15 years.

Thanks to all who made/keep this app up & running.......I love it.

Cmdr Zantar
 
Unable to get EDDI logged in since the Elite update.

I'm unable to log into EDDI since the last big update for Elite.
VerticalBlank tried to help yesterday, but that didn't work.....just got the "not responding" few seconds until it was unable to log in again.

As of now, I have the latest version of both Elite (2.4.03) and EDDI (v2.4.2)
installed.

Everything was fine until the update hit as I have not changed anything.

Please let me know if you need any other info.......I'm not the best at stuff like code, but I've been building computers for over 15 years.

Thanks to all who made/keep this app up & running.......I love it.

Cmdr Zantar
If you're talking about the connection to the Frontier API, I was able to log in just now. I don't know what VerticalBlank has already recommended, but f you haven't already done so then try the following?
1. Try using the 'Reset' button.
2. If that fails, close completely out of EDDI and VoiceAttack, navigate to %APPDATA%/EDDI and delete credentials.json, and then restart EDDI. This will clear any corrupt file from your configuration.
 
If you're talking about the connection to the Frontier API, I was able to log in just now. I don't know what VerticalBlank has already recommended, but f you haven't already done so then try the following?
1. Try using the 'Reset' button.
2. If that fails, close completely out of EDDI and VoiceAttack, navigate to %APPDATA%/EDDI and delete credentials.json, and then restart EDDI. This will clear any corrupt file from your configuration.
Thanks for the reply.

I just tried both of those with no luck.
All I get is a few seconds of it being locked up, then it says "Unable to log in. This is usually a temporary issue with Frontier's service; please try again later."

I'm ready for step #3. :D
 
Side question, does anyone know when coriolis will accept the engineered exports again? Has there been any word on this?
The corioils channel on the EDCD Discord server is the thing to watch. Work is in progress but Strideynet has been distracted by (a) paying work and (b) family issues, both of which obviously come first.

Meanwhile there's still EDShipyard. It's showing engineered modules just fine and EDDI can export to it.
 
Last edited:
ED Shipyard is a pain to read though. The site never left the confines of 1280x1024 (or is it even 1024x768 ?), while getting ever more complex. All the information is now heavily abbreviated, to the point where guesswork is needed what is what. It's a horror to use.

Fully agreed though, that RL is more important.
 
Just received a message from EDDI about a mandatory update to 2.4.2. Tried three times to update but during the install process Win 10 crashed to the blue screen of death. Any suggestions what may be causing this? The beta and previous versions of Eddi ran fine.

tnx
 
Just received a message from EDDI about a mandatory update to 2.4.2. Tried three times to update but during the install process Win 10 crashed to the blue screen of death. Any suggestions what may be causing this? The beta and previous versions of Eddi ran fine.

tnx
Hmm, that's the first we've heard of it. I would download the installer manually from https://github.com/EDCD/EDDI/releases/tag/Release/2.4.2 - the installer is EDDI-2.4.2.exe. When you run it Windows Defender will complain because it isn't signed, so you will have to click "More Info" then "Run Anyway".

If that doesn't work then you may need to uninstall the old version first, but that would surprise me as the installer is specifically designed to run over existing installations.

Let us know how you get on.
 
Hmm, that's the first we've heard of it. I would download the installer manually from https://github.com/EDCD/EDDI/releases/tag/Release/2.4.2 - the installer is EDDI-2.4.2.exe. When you run it Windows Defender will complain because it isn't signed, so you will have to click "More Info" then "Run Anyway".

If that doesn't work then you may need to uninstall the old version first, but that would surprise me as the installer is specifically designed to run over existing installations.

Let us know how you get on.
That worked perfectly, the previous 3 attempts to upgrade through the EDDI interface didn't give me the Windows Defender message before crashing.

I had also tried the download link from this page:
https://github.com/cmdrmcdonald/EliteDangerousDataProvider
which was for 2.3.0. Perhaps that needs updating to show the latest version.

Thanks so much for your help, this is a great tool.
 
That worked perfectly, the previous 3 attempts to upgrade through the EDDI interface didn't give me the Windows Defender message before crashing.
That's a bit strange. The built-in auto-updater within EDDI normally runs seamlessly with no interference from Windows Defender. In any case it shouldn't be crashing.

I had also tried the download link from this page:
https://github.com/cmdrmcdonald/EliteDangerousDataProvider
which was for 2.3.0. Perhaps that needs updating to show the latest version.
Unfortunately we cannot as jgm, aka cmdrmcdonald, has left the building and we don't have write access. That GitHub repo should be treated as defunct: https://github.com/EDCD/EDDI is the current one. It might be time to start a new thread and ask a moderator to link it at the start and end of this one.
 
Last edited:
Status
Thread Closed: Not open for further replies.
Top Bottom